#!/bin/bash

webuiCreateCategories() {
    local output_dir="$1"
    
    echo "Creating all categories JSON files..."
    
    webuiCreateAppsCategories "${output_dir}/apps"
    webuiCreateAppsConfigCategories "${output_dir}/apps"
    webuiCreateAppFieldMappings "${output_dir}/apps"
    
    echo "All categories creation completed!"
}
